Agents

Paginated synthetic check results for a monitor

GET
/organizations/{organizationId}/synthetic-monitors/{monitorId}/results

Path Parameters

organizationId*string
Formatuuid
monitorId*string
Formatuuid

Query Parameters

page?integer
Range0 <= value
pageSize?integer
Range1 <= value
timeRange?string

Value in

  • "1h"
  • "24h"
  • "7d"
  • "30d"
  • "90d"

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/synthetic-monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08/results" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "monitorId": "075fef10-8522-4c43-ac39-f1796133943e",      "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",      "status": "up",      "responseTimeMs": 0,      "certExpiresAt": "2019-08-24T14:15:22Z",      "certDaysRemaining": 0,      "errorMessage": "string",      "payload": {},      "checkedAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "page": 0,  "pageSize": 0}
{  "message": "string"}
{  "message": "string"}
{  "message": "string"}